package digital.laboratory.platform.imr.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 创建出库申请DTO
 */

@Data
public class OutWarehouseApplyDTO implements Serializable {



    /**
     * 出库用途
     */
    @ApiModelProperty(value="出库用途")
    private String purpose;

    /**
     * 归还日期
     */
    @ApiModelProperty(value="归还日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @JSONField(format = "yyyy-MM-dd")
    private LocalDate returnDate;

    /**
     * 鉴定人id
     */
    @ApiModelProperty(value="鉴定人id")
    private String appraiserId;

    /**
     * 出库的样本id集合
     */
    @ApiModelProperty(value="样本id集合")
    List<String> sampleIds;
}
